.page-header .entry-title, 
.site-footer .footer-inner, .site-footer:not(.dynamic-footer), 
.site-header .header-inner, 
.site-header:not(.dynamic-header), 
body:not([class*="elementor-page-"]) .site-main {
/* 	max-width: 1220px !important; */
}

body:not([class*="elementor-page-"]) .site-main {
	padding: 0 10px;
	max-width: 1220px !important;
}

.page-header .entry-title,
.page-content{
	max-width: 1220px !important;
	margin: 0 auto;
}

.woocommerce table.shop_attributes td p {
	padding: 0;
}

.woocommerce table.shop_attributes td p a {
	color: #000;
}

.woocommerce-account .site-main {
	padding: 40px 0;
}

#tab-description div > a {
	display: inline-flex !important;
	text-align: center;
	justify-content: center;
	align-items: center;
	color: #FFFFFF !important;
	background-color: #D50915 !important;
	padding: .618em 1em !important;
	border-radius: 3px !important;
	font-size: 14px !important;
	font-weight: 500 !important;
	gap: 10px;
	margin-bottom: 10px;
	min-width: 150px;
}

#tab-description div > a:hover {
	background: #c90000 !important;
}




h1.entry-title,
h1.woocommerce-products-header__title{
	font-size: 72px;
	font-weight: bold;
	text-transform: uppercase;
}

.elementor-button-text {
	font-size: 14px;
}

input.wpcf7-submit{
	background-color: #D60A16 !important;
	font-size: 12px;
	font-weight: 600;
	text-transform: uppercase;
	padding: 10px 40px 10px 40px;
	color: #fff;
}

.custom-product-buy-box {
    width: 100%;
}

.custom-product-row {
    display: flex;
    gap: 20px;
    margin-bottom: 20px;
}

.custom-product-row .custom-value,
.custom-product-row .custom-stock-value,
.custom-product-row .custom-quantity-box-value{
	flex: 1 0 75%;
}

.custom-product-row .custom-label {
	flex: 1 0 20px;
}

.custom-label {
	font-size: 14px;
    font-weight: 700;
    color: #222;
}

.custom-price-value .amount {
	display: block;
	color: #D20104;
	font-family: "Poppins", Sans-serif;
	font-size: 24px;
	font-weight: bold;
}

.custom-price-value .custom-shipping-text {
	display: flex;
	gap: 10px;
}

.custom-price-value ins {
    color: #e60000;
    font-size: 34px;
    font-weight: 700;
    text-decoration: none;
}

.custom-price-value del {
    color: #333;
    font-size: 20px;
    font-weight: 600;
}

.custom-shipping-text {
    margin-top: 20px;
    color: #777;
    font-size: 12px;
}

.custom-price-value .shipping-message {
	font-weight: bold;
	color: #000;
}

.custom-price-value  .wlr-product-message {
	padding: 0 !important;
	line-height: 1 !important;
}

.custom-price-value span {
	line-height: 1 !important;
}
.custom-stock-dot {
    width: 16px;
    height: 16px;
    background: #22c55e;
    border-radius: 50%;
    display: inline-block;
    margin-right: 12px;
    vertical-align: middle;
}

.custom-stock-text {
    color: #222;
    font-weight: 600;
}

.custom-stock-text::first-letter {
    color: #22c55e;
}

.custom-out-stock-text {
    color: #e60000;
    font-weight: 600;
}

.custom-divider {
    height: 4px;
    background: #e60000;
    margin: 20px 0 0;
}

.custom-add-to-cart-form {
	flex-direction: column;
}

.custom-add-to-cart-form .quantity {
    display: inline-flex;
	
}

.custom-add-to-cart-form .qty {
    width: 70px;
    height: 56px;
    text-align: center;
    border: 1px solid #ddd;
	margin: 0;
}

.custom-add-to-cart-button {
    width: 100%;
    height: auto;
    background: #e60000 !important;
    color: #fff !important;
    border-radius: 8px !important;
    border: none !important;
	font-family: "Poppins", Sans-serif;
    font-size: 21px !important;
    font-weight: 300 !important;
    text-transform: uppercase;
    margin-top: 24px;
	margin-left: 0 !important; 
}

.custom-add-to-cart-button:hover {
    background: #c90000 !important;
}

.custom-quantity-box {
    display: inline-flex;
    align-items: center;
    border: 1px solid #ddd;
    height: 48px;
    border-radius: 4px;
    overflow: hidden;
}

.custom-quantity-box .quantity {
    margin: 0;
}

.custom-quantity-box .qty {
    width: 48px !important;
    height: 48px !important;
    border: none;
    text-align: center;
    font-size: 16px;
    font-weight: 600;
    appearance: textfield;
	border: 1px solid #ddd;
	border-top: 0;
	border-bottom: 0;
	padding: .5rem !important;
}

.custom-quantity-box .qty::-webkit-inner-spin-button,
.custom-quantity-box .qty::-webkit-outer-spin-button {
    appearance: none;
    margin: 0;
}

.custom-qty-btn {
	width: 48px !important;
	height: 48px;
	border: none !important;
	background: #fff !important;
	color: #222 !important;
	font-size: 22px !important;
	font-weight: 600 !important;
	cursor: pointer !important;
	margin: 0 !important;
	padding: .5rem;
}

.custom-qty-btn:hover {
    background: #f5f5f5;
}

.mobile-menu-wrapper {
    position: fixed;
    inset: 0;
    z-index: 9999;

    opacity: 0;
    visibility: hidden;
    pointer-events: none;

    transition: 0.3s ease;
}

.mobile-menu-wrapper.is-open {
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
}

/* OVERLAY */
.mobile-menu-overlay {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.5);
    z-index: 1;
}

/* MENU PANEL */
.mobile-menu-wrapper > .e-con-inner > .elementor-element {
	display: block;
    position: relative;
    z-index: 2;

    width: 300px;
    max-width: 90%;
    height: 100dvh;
	overflow-y: auto;

    background: #fff;

    transform: translateX(-100%);
    transition: transform 0.3s ease;
}

.mobile-menu-wrapper.is-open > .e-con-inner > .elementor-element {
    transform: translateX(0);
}

body.mobile-menu-open {
    overflow: hidden;
}

.mobile-menu-wrapper .elementor-nav-menu--main,
.mobile-menu-wrapper .mega-menu{
	display:block;
	padding: 0;
	list-style-type: none;
}

.mobile-menu-wrapper .mega-menu .mega-sub-menu {
	background: transparent !important;
	display: none;
	padding: 0;
	list-style-type: none;
}

.mobile-menu-wrapper .mega-menu {
	margin-top: 20px;
}

.mobile-menu-wrapper .mega-menu .mega-menu-item,
.mobile-menu-wrapper .mega-menu .mega-sub-menu .mega-menu-item {
	display: block;
	flex-wrap: reset;
}


.mobile-menu-wrapper .elementor-nav-menu--main .menu-item a,
.mobile-menu-wrapper .mega-menu .mega-menu-item a{
	color: #fff;
	text-transform: uppercase;
	position: relative;
	display: block;
	padding:10px 0 !important; 
	font-size: 18px;
}

.mobile-menu-wrapper .mega-menu .mega-sub-menu .mega-menu-item a {
	font-size: 14px;
	color: #fff !important;
	font-weight: normal !important;
}


.mobile-menu-wrapper .mega-menu li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator {
	position: absolute;
	right: 0;
}

.mobile-menu-wrapper .mega-menu li.mega-menu-item-has-children > a.mega-menu-link > span.mega-indicator::after {
  display: inline-block;
  vertical-align: top;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  content: "";
  font-family: dashicons;
  font-weight: normal;
}

.mobile-menu-wrapper .mega-menu .mega-sub-menu
#menu-toggle .elementor-button-icon svg {
  height: auto;
  width: 24px;
}

.mobile-menu-wrapper .mega-menu li.mega-menu-item.mega-toggle-on .mega-sub-menu {
	display: block;
}

.mobile-menu-wrapper.is-open {
    transform: translateX(0);
    visibility: visible;
    pointer-events: auto;
}

body.admin-bar .mobile-menu-wrapper {
    padding-top: 32px;
}

.elementor-widget-search .elementor-page-title {
	display: block;
}

.woocommerce-pagination {
	padding-bottom: 16px;
}

.woocommerce table.shop_attributes td {
	padding: 10px;
}

.woocommerce a.button.alt,
.woocommerce a.button.alt:hover{
	background-color: #D60A16;
	margin: 0;
}

.woocommerce table,
.woocommerce table td, 
.woocommerce table th {
	border: none !important;
	background: none !important;
}

.woocommerce table td.actions {
	border: none !important;
}

.cart_totals  table.shop_table.shop_table_responsive td,
.cart_totals  table.shop_table.shop_table_responsive th{
	border: none !important;
}

table.shop_table .tax-rate.tax-rate-us-fl-state-tax-1 td,
table.shop_table .tax-rate.tax-rate-us-fl-state-tax-1 th{
	border-bottom: 1px solid #ccc !important;
}

.woocommerce table tbody tr td{
	border-bottom: 1px solid #ccc !important;
}

.woocommerce-cart .woocommerce {
    display: grid;
    grid-template-columns: minmax(0, 1fr) 420px;
    gap: 10px 20px;
    align-items: start;
}

/* Notices full width */
.woocommerce-cart .woocommerce-notices-wrapper,
.woocommerce-cart .wlr-message-info,
.woocommerce-cart .wlr_points_rewards_earn_points,
.woocommerce-cart .wlr_point_redeem_message {
    grid-column: 1 / -1;
}

/* LEFT */
.woocommerce-cart .woocommerce-cart-form {
    grid-column: 1;
    width: 100%;
    margin: 0;
}

/* RIGHT */
.woocommerce-cart .cart-collaterals {
    grid-column: 2;
    width: 100%;
    margin: 0;
}

/* REMOVE FLOATS */
.woocommerce-cart .cart_totals {
    width: 100% !important;
    float: none !important;
}

/* CARD STYLE */
.woocommerce-cart .woocommerce-cart-form,
.woocommerce-cart .cart-collaterals,
.woocommerce-cart .custom-cart-right {
    padding: 20px;
    border: 1px solid #ddd;
    border-radius: 10px;
    background: #fff;
}

.woocommerce-cart .wlr-message-info.wlr_points_rewards_earn_points {
	margin: 0 !important;
}

.woocommerce-cart td.product-name a {
	color: #D60A16;
	text-decoration: none;
}

.woocommerce-cart table.cart img {
	width: 100px;
}

.woocommerce-cart .quantity .qty {
	width: 5em;
}

.woocommerce-cart .wc-proceed-to-checkout {
	padding: 0 !important;
}

.cart_totals  h2 {
	margin-top: 0;
}

.woocommerce-cart .woocommerce {
	margin-bottom: 40px;
}

/* STICKY */
@media (min-width: 1025px) {

    .woocommerce-cart .cart-collaterals {
        position: sticky;
        top: 120px;
    }

}

/* MOBILE */
@media (max-width: 1024px) {

    .woocommerce-cart .woocommerce {
        display: block;
    }

    .woocommerce-cart .cart-collaterals {
        margin-top: 32px;
    }

}

@media(max-width:1024px) {
	.elementor-nav-menu--layout-horizontal .elementor-nav-menu {
		flex-direction: column;
	}
	
	h1.entry-title,
	h1.woocommerce-products-header__title{
		font-size: 48px;
	}
}

@media(max-width:768px) {
	body.admin-bar .mobile-menu-wrapper {
        padding-top: 46px;
    }
	
}

/**
 * My Account
 */

.woocommerce-account .woocommerce {
	display: flex;
	gap: 5%;
}

.woocommerce-account .woocommerce::before,
.woocommerce-account .woocommerce::after{
	content: none;
}

.woocommerce-account .woocommerce-MyAccount-navigation {
	flex: 0 0 20%;
	width: 20%;
}

.woocommerce-account .woocommerce-MyAccount-content {
	flex: 1;
	width: 75%;
	margin-left: 0;
	display: block;
	border: 1px solid #ccc;
	padding: 20px;
	border-radius: 10px;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul {
	padding: 0;
	border-top: 1px solid #eee;
	margin: 0;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li {
	list-style: none;
	padding-bottom: 0;
	margin: 0;
	margin-bottom: 10px;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li.is-active a{
	opacity: 1;
	background: rgb(105, 114, 125);
	color: #fff;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a {
	padding: 10px;
	display: flex;
	align-items: center;
	text-decoration: none;
	border: 1px solid #ccc;
	border-radius: 8px;
	background: #ccc;
	color: #000;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li:hover a {
	background: #D60A16;
	color: #fff;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a:before {
	margin-right: 20px;
	opacity: .25;
	min-width: 20px;
	text-align: center;
}

.woocommerce-account .woocommerce-MyAccount-navigation ul li a:hover:before {
	opacity: 1;
}

.woocommerce-account .woocommerce-MyAccount-content h2 {
	font-size: 25px;
	text-align: center;
	font-weight: 600;
}

.woocommerce-account p.order-again {
	text-align: right;
}

.woocommerce-account .woocommerce-EditAccountForm input[type="submit"] {
	margin-top: 50px;
	margin-left: auto;
	display: block;
}

.woocommerce-info::before {
	color: #D30104;
}

.woocommerce-info {
	border-top-color: #D30104;
}

.return-to-shop {
		text-align: right;
}

.return-to-shop .button.wc-backward,
.woocommerce-message .button.wc-forward{
	background-color: #69727d;
	border-radius: 3px 3px 3px 3px;
	font-family: "Poppins", Sans-serif;
	font-size: 14px;
	font-weight: bold;
	text-transform: uppercase;
	color: #fff;
	padding: 20px 40px 20px 40px;
}

.woocommerce-message .button.wc-forward{
	background-color: #e60000;
}

.woocommerce-message .button.wc-forward:hover {
	background-color: #c90000;
	color: #fff;
}

.woocommerce-message:focus {
	outline: none !important;
}

/* Responsive */

@media (max-width: 767px) {

	.woocommerce-account .woocommerce {
		flex-direction: column;
		gap: 40px;
	}

	.woocommerce-account .woocommerce-MyAccount-navigation,
	.woocommerce-account .woocommerce-MyAccount-content {
		width: 100%;
		flex: 0 0 100%;
	}
	
	.woocommerce table tbody tr td{
		border-bottom: none !important;
	}

	
	.woocommerce .woocommerce-cart-form  table tbody tr{
		border-bottom: 1px solid #ccc !important;
	}
	
	.woocommerce-page table.shop_table_responsive tr td::before {
		content: none !important;
	}
	
	.woocommerce-cart .woocommerce-cart-form {
		margin-bottom: 24px;
	}


}